Apple Configurator 2.5 No Longer Supports Apple TV 3rd Gen

sharriston
Contributor II

So I was trying to provision a 3rd gen apple tv today after updating Apple Configurator and found that configurator 2.5 only supports tvOS 10 or higher. I can't find any documentation saying configurator was dropping support for 3rd gen apple tv's.

13 REPLIES 13

christopher_zim
New Contributor

Got the same problem here: 40 AppleTVs in a school which recently switched to a WPA2 Enterprise Network. So there is no way now to add the required certifcates and settings...

steendemuth
New Contributor

Same issue by me.

guidotti
Contributor II

I just ran into this... I can't find a binary to downgrade configurator, either...

kinghuang
New Contributor

Same problem here. The release notes for 2.5 didn't say anything about dropping support for Apple TV (3rd Generation), and now I can't update any of those devices.

Anyone know of a way to go back to Apple Configurator 2.4?

PAC
Contributor

Big problem for us....

ChrisRupert
Contributor

I talked to an Apple Engineer about this yesterday, we ran into the same issue. He said Apple has heard from customers upset about the lack of 3rd Gen support with Apple Configurator 2.5 and they are going to patch it, but he unfortunately did not have a time frame for the release. His only suggest was to find an older Mac device and use older Configurator version.

PAC
Contributor

Does anyone know where i can locate the older Apple Configurator .App File?
I have upgraded all my AC's before i knew about this issue.

Regards
Pete

Malcolm
Contributor II

can you still install apple config 1?

cdenesha
Valued Contributor II

Hi all,

Send me a private email (first email in my profile), I've put it up on our server.

chris

martin_mehltret
New Contributor

Here is the AppleConfigurator 2.2 beta download:
https://mega.nz/#!mIhR2ASA!9tsU55_td6FxnnKGv6eG64A72y-3dV2nYl1YR-mF50A
Worked for me!

JoshRouthier
Contributor

Looks like the 2.6 update fixed this problemeadb0ea398454546ba961f80a770fa9e

ICOM2_0
New Contributor

I have 2.6.1 and it still won't let me configure 3rd Gen Apple TVs.

cdenesha
Valued Contributor II

@ICOM2.0 that version fixed configuration profiles but it isn't enough to set one up. See my comment above to email me for the 2.4 version.

chris